Lavalite package that provides invent management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `inventory/invent`.

    "inventory/invent": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Inventory\Invent\Providers\InventServiceProvider::class,

And also add it to alias

    'Invent'  => Inventory\Invent\Facades\Invent::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Inventory\\InventTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Inventory\Invent\Providers\InventServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Inventory\Invent\Providers\InventServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Inventory\Invent\Providers\InventServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/invent/{modulename}

**User**

    http://path-to-route-folder/user/invent/{modulename}

**Public**

    http://path-to-route-folder/invents


### API endpoints

**List**

    http://path-to-route-folder/api/user/invent/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/invent/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/invent/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/invent/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/invent/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/invent/{modulename}/{slug}
    METHOD: GET